- if License.feature_available?(:custom_file_templates)
  %section.settings.as-visibility-access.no-animate#js-visibility-settings{ class: ('expanded' if expanded) }
    .settings-header
      %h4.settings-title.js-settings-toggle.js-settings-toggle-trigger-only
        = _('Templates')
      = render Pajamas::ButtonComponent.new(button_options: { class: 'js-settings-toggle' }) do
        = expanded ? _('Collapse') : _('Expand')
      %p
        = _('Select a repository containing templates for common files.')
        = link_to _('What templates can I create?'), help_page_path('user/admin_area/settings/instance_template_repository.md', anchor: 'supported-file-types-and-locations'), target: '_blank', rel: 'noopener noreferrer'
    .settings-content
      = form_for @application_setting, url: templates_admin_application_settings_path, html: { class: 'fieldset-form' } do |f|
        = form_errors(@application_setting, pajamas_alert: true)

        %fieldset
          .form-group
            = f.label :file_template_project_id, class: 'label-bold' do
              .form-text
                = _('Select a template repository')
            = project_select_tag('application_setting[file_template_project_id]', class: 'project-item-select hidden-filter-value', toggle_class: 'js-project-search js-project-filter js-filter-submit', dropdown_class: 'dropdown-menu-selectable dropdown-menu-project js-filter-submit',
              placeholder: _('Search projects'), idAttribute: 'id', data: { order_by: 'last_activity_at', idattribute: 'id', all_projects: 'true', simple_filter: true, allow_clear: true }, value: @application_setting.file_template_project_id)
            = s_('TemplateRepository|Create common files more quickly, and standardize their format.')
            = link_to "How do I use file templates?", help_page_path('user/project/repository/web_editor.md', anchor: 'template-dropdowns'), target: '_blank', rel: 'noopener noreferrer'
        = f.submit _('Save changes'), class: "gl-button btn btn-confirm"
